  
# Use a categorical hash transform
outModel2 <- rxLogisticRegression(like~reviewCatHash, data = trainReviews, 
    mlTransforms = list(categoricalHash(vars = c(reviewCatHash = "review"))))
# Weights are similar to categorical
summary(outModel2)

# Use the model to score
scoreOutDF2 <- rxPredict(outModel2, data = testReviews, 
    extraVarsToWrite = "review")
scoreOutDF2
