train <- function(lossFunction) {

    result <- rxFastLinear(isCase ~ age + parity + education + spontaneous + induced,
                  transforms = list(isCase = case == 1), lossFunction = lossFunction,
                  data = infert,
                  type = "binary")
    coef(result)[["age"]]
}

age <- list()
age$LogLoss <- train(logLoss())
age$LogLossHinge <- train(hingeLoss())
age$LogLossSmoothHinge <- train(smoothHingeLoss())
age
